Bug 802189 - Horizontal scroll bars on msgid where line break should be used
Horizontal scroll bars on msgid where line break should be used
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
Unspecified Linux
unspecified Severity low
: ---
: 2.0
Assigned To: Alex Eng
Ding-Yi Chen
Depends On:
  Show dependency treegraph
Reported: 2012-03-11 20:34 EDT by Hedda Peters
Modified: 2012-11-07 01:18 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20120928-0032)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-07 01:18:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Scroll Bars where line breaks should be used (234.86 KB, image/png)
2012-03-11 20:36 EDT, Hedda Peters
no flags Details

  None (edit)
Description Hedda Peters 2012-03-11 20:34:35 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:9.0.1) Gecko/20100101 Firefox/9.0.1

Before editing, long mgsid messages are correctly broken into several lines. As soon as you click into a message to open the editor, the msgid uses a horizontal scroll bar instead of retaining the line breaks. After leaving the editor again, the scroll bar remains.
Any view using a scroll bar is detrimental for translating, should be used only when line breaks are impossible. 

Reproducible: Always

Seen on FF 3.1 and F 9.0.1
Comment 1 Hedda Peters 2012-03-11 20:36:43 EDT
Created attachment 569242 [details]
Scroll Bars where line breaks should be used

Screenshot attached
Comment 2 Runa Bhattacharjee 2012-07-30 09:35:14 EDT
Is this still happening for 1.6 and above? Thanks.
Comment 3 Alex Eng 2012-09-26 20:29:13 EDT
Problem fixed in Version 2.0  

See https://bugzilla.redhat.com/show_bug.cgi?id=807506#c3
Comment 4 Ding-Yi Chen 2012-09-27 23:07:05 EDT
This problem still exists in Zanata version 1.7.4-SNAPSHOT (20120928-0009)
but fixed in Zanata version 1.7.4-SNAPSHOT (20120928-0009)

VERIFIED with Zanata version 1.8.0-SNAPSHOT (20120928-0032)
Comment 5 Sean Flanigan 2012-11-07 01:18:47 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.